services:
  _defaults:
    autowire: true
    autoconfigure: true
    public: false

  Opentalent\OtAdmin\:
    resource: '../Classes/*'

  Opentalent\OtAdmin\Command\UpdateSiteCommand:
    tags:
      - name: console.command
        command: 'ot:site:update'
        schedulable: false

  Opentalent\OtAdmin\Command\CreateSiteCommand:
    tags:
      - name: console.command
        command: 'ot:site:create'
        schedulable: false

  Opentalent\OtAdmin\Command\DeleteSiteCommand:
    tags:
      - name: console.command
        command: 'ot:site:delete'
        schedulable: false

  Opentalent\OtAdmin\Command\UndeleteSiteCommand:
    tags:
      - name: console.command
        command: 'ot:site:undelete'
        schedulable: false

  Opentalent\OtAdmin\Command\ClearSiteCacheCommand:
    tags:
      - name: console.command
        command: 'ot:site:clear-cache'
        schedulable: true

  Opentalent\OtAdmin\Command\SetSiteDomainCommand:
    tags:
      - name: console.command
        command: 'ot:site:setdomain'
        schedulable: true

  Opentalent\OtAdmin\Command\ResetBeUserPermsCommand:
    tags:
      - name: console.command
        command: 'ot:site:reset-perms'
        schedulable: true

  Opentalent\OtAdmin\Command\GetSiteStatusCommand:
    tags:
      - name: console.command
        command: 'ot:site:status'
        schedulable: false

  Opentalent\OtAdmin\Command\AddRedirectionCommand:
    tags:
      - name: console.command
        command: 'ot:redirection:add'
        schedulable: false

  Opentalent\OtAdmin\Command\RemoveRedirectionCommand:
    tags:
      - name: console.command
        command: 'ot:redirection:remove'
        schedulable: false

  Opentalent\OtAdmin\Command\ScanCommand:
    tags:
      - name: console.command
        command: 'ot:site:scan'
        schedulable: true
